/**
 * Transliteration rules table for custom Sakha keyboard
 * @author Amir (Алексей) Aharoni ([[User:Amire80]])
 * @date 2011-11-24
 * License: GPLv3, CC-BY-SA 3.0
 */

 
var keyCodeRules = {

'192': '"',     // `
'49': '!',     // 1
               // 2
               // 3
'52': 'ҥ',     // 4
'53': 'ҕ',     // 5
'54': 'ө',     // 6
'55': 'һ',     // 7
'56': 'ү',     // 8
'57': ';',     // 9
'48': ':',     // 0

'81': 'й',     // q
'87': 'ц',     // w
'69': 'у',     // e
'82': 'к',     // r
'84': 'е',     // t
'89': 'н',     // y
'85': 'г',     // u
'73': 'ш',     // i
'79': 'щ',     // o
'80': 'з',     // p
'219': 'х',     // [
'221': 'ъ',     // ]
'65': 'ф',     // a
'83': 'ы',     // s
'68': 'в',     // d
'70': 'а',     // f
'71': 'п',     // g
'72': 'р',     // h
'74': 'о',     // j
'75': 'л',     // k
'76': 'д',     // l
'186': 'ж',     // ;
'222': 'э',     // '
'90': 'я',     // z
'88': 'ч',     // x
'67': 'с',     // c
'86': 'м',     // v
'66': 'и',     // b
'78': 'т',     // n
'77': 'ь',     // m
'188': 'б',     // ,
'190': 'ю',     // .
'191': '.',     // /


'192|s': '№',    // `
'49|s': '?',     // 1
                 // 2
                 // 3
'52|s': 'Ҥ',     // 4
'53|s': 'Ҕ',     // 5
'54|s': 'Ө',     // 6
'55|s': 'Һ',     // 7
'56|s': 'Ү',     // 8
                 // 9
                 // 0

'81|s': 'Й',     // q
'87|s': 'Ц',     // w
'69|s': 'У',     // e
'82|s': 'К',     // r
'84|s': 'Е',     // t
'89|s': 'Н',     // y
'85|s': 'Г',     // u
'73|s': 'Ш',     // i
'79|s': 'Щ',     // o
'80|s': 'З',     // p
'219|s': 'Х',    // [
'221|s': 'Ъ',    // ]
'65|s': 'Ф',     // a
'83|s': 'Ы',     // s
'68|s': 'В',     // d
'70|s': 'А',     // f
'71|s': 'П',     // g
'72|s': 'Р',     // h
'74|s': 'О',     // j
'75|s': 'Л',     // k
'76|s': 'Д',     // l
'186|s': 'Ж',     // ;
'222|s': 'Э',     // '
'90|s': 'Я',     // z
'88|s': 'Ч',     // x
'67|s': 'С',     // c
'86|s': 'М',     // v
'66|s': 'И',     // b
'78|s': 'Т',     // n
'77|s': 'Ь',     // m
'188|s': 'Б',     // ,
'190|s': 'Ю',     // .
'191|s': ',',     // /


'89|a': 'ҥ',    //Alt+y
'85|a': 'ҕ',    //Alt+u
'74|a': 'ө',    //Alt+j
'219|a': 'һ',   //Alt+[
'69|a': 'ү',    //Alt+e

'89|a|s': 'Ҥ',   //Alt+y
'85|a|s': 'Ҕ',   //Alt+u
'74|a|s': 'Ө',   //Alt+j
'219|a|s': 'Һ',  //Alt+[
'69|a|s': 'Ү',   //Alt+e

};

jQuery.narayam.addScheme( 'sah-custom', {
	'namemsg': 'narayam-sah-custom',
	'extended_keyboard': false,
    'useKeyCodes': true,
	'lookbackLength': 0,
	'keyBufferLength': 0,
    'keyCodeRules': keyCodeRules
} );
