/**
 * InScript regular expression rules table for Telugu script
 * According to CDAC's "Enhanced InScript Keyboard Layout 5.2"
 * @author Veeven ([[user:Veeven]])
 * @date 2011-02-27
 * License: GPLv3, CC-BY-SA 3.0
 */
var rules = [
['X', '', 'ఁ'],
['x', '', 'ం'],
//['_', '', ''],
['D', '', 'అ'],
['E', '', 'ఆ'],
['F', '', 'ఇ'],
['R', '', 'ఈ'],
['G', '', 'ఉ'],
['T', '', 'ఊ'],
['\\+', '', 'ఋ'],
['Z', '', 'ఎ'],
['S', '', 'ఏ'],
['W', '', 'ఐ'],

['~', '', 'ఒ'],
['A', '', 'ఓ'],
['Q', '', 'ఔ'],
['k', '', 'క'],
['K', '', 'ఖ'],
['i', '', 'గ'],
['I', '', 'ఘ'],
['U', '', 'ఙ'],
['\\;', '', 'చ'],
['\\:', '', 'ఛ'],
['p', '', 'జ'],
['P', '', 'ఝ'],
['\\}', '', 'ఞ'],
["'", '', 'ట'],
['"', '', 'ఠ'],
['\\[', '','డ'],
['\\{', '','ఢ'],
['C', '', 'ణ'],
['l', '', 'త'],
['L', '', 'థ'],
['o', '', 'ద'],
['O', '', 'ధ'],
['v', '', 'న'],
['h', '', 'ప'],
['H', '', 'ఫ'],
['y', '', 'బ'],
['Y', '', 'భ'],
['c', '', 'మ'],
['\\?', '','య'],
['j', '', 'ర'],
['n', '', 'ల'],
['N', '', 'ళ'],
['b', '', 'వ'],
['M', '', 'శ'],
['\\<', '','ష'],
['m', '', 'స'],
['u', '', 'హ'],
['\\]', '','ఞ'],
['e', '', 'ా'],
['f', '', 'ి'],
['r', '', 'ీ'],
['g', '', 'ు'],
['t', '', 'ూ'],
['\\=', '', 'ృ'],
['\\\\', '', ''],
['s', '', 'ే'],
['w', '', 'ై'],
['a', '', 'ో'],
['q', '', 'ౌ'],
['d', '', '్'],
//['\\|', '', 'ॠ'],
['/', '', 'య'],
//['\\>', '', '.'],
['0', '','౦'],
['1', '','౧'],
['2', '', '౨'],
['3', '', '౩'],
['4', '', '౪'],
['5', '', '౫'],
['6', '', '౬'],
['7', '', '౭'],
['8', '', '౮'],
['9', '', '౯'],
//['\\@', '', 'ॅ'],
['\\#', '', '్ర'],
['\\$', '', 'ర్'],
['\\%', '', 'జ్ఞ'],
['\\^', '', 'త్ర'],
['\\&', '', 'క్ష'],
['\\*', '', 'శ్ర'],
['\\(', '', '\u200D'],
['\\)', '', '\u200C']
];

// Extended layout for InScript. Works in Firefox only
var rules_x = [
//['F', '', 'ऌ'],
//['\\>', '','ऽ'],
['X', '', 'ॐ'],
//['e', '', '\0951'],
//['d', '', '\u0952'],
//['R', '', 'ॡ'],
//['f', '', 'ॢ'],
//['r', '', 'ॣ'],
//['\\.', '', '॥'],
//['\\@', '','ॅ'],
['4', '', '₹']
];

jQuery.narayam.addScheme( 'te-inscript', {
	'namemsg': 'narayam-te-inscript',
	'extended_keyboard': true,
	'lookbackLength': 0,
	'rules': rules,
	'rules_x': rules_x
} );
